This service will be undergoing maintenance at 03:30 UTC, 2016-05-27. It is expected to last about 2 hours
Bug 479110 - (CVE-2009-0022) CVE-2009-0022 samba: potential access to "/" in setups with registry shares enabled
CVE-2009-0022 samba: potential access to "/" in setups with registry shares e...
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
http://nvd.nist.gov/nvd.cfm?cvename=C...
source=vendorsec,reported=20081219,pu...
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-01-07 05:11 EST by Tomas Hoger
Modified: 2009-01-08 02:33 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-08 02:33:31 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Tomas Hoger 2009-01-07 05:11:10 EST
Common Vulnerabilities and Exposures assigned an identifier CVE-2009-0022 to the following vulnerability:

Samba 3.2.0 through 3.2.6, when registry shares are enabled, allows
remote authenticated users to access the root filesystem via a crafted
connection request that specifies a blank share name.

Issue was fixed upstream in 3.2.7.

Upstream advisory:
http://www.samba.org/samba/security/CVE-2009-0022.html

Upstream patch:
http://www.samba.org/samba/ftp/patches/security/samba-3.2.6-CVE-2009-0022.patch

References:
http://secunia.com/advisories/33379
Comment 1 Tomas Hoger 2009-01-07 05:19:12 EST
This issue did not affect the versions of samba as shipped with Red Hat Enterprise Linux 2.1, 3, 4, or 5.
Comment 2 Fedora Update System 2009-01-07 16:50:26 EST
samba-3.2.7-0.23.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 3 Red Hat Product Security 2009-01-08 02:33:31 EST
This issue was addressed in:

Fedora:
  https://admin.fedoraproject.org/updates/F9/FEDORA-2009-0268
  https://admin.fedoraproject.org/updates/F10/FEDORA-2009-0160

Note You need to log in before you can comment on or make changes to this bug.